import { NgModule } from "@angular/core";
import { RouterModule, Routes } from "@angular/router";
import { PageHomeComponent } from './page-home/page-home.component';
import { PageTextbookComponent } from "./page-textbook/page-textbook.component";
import { ApplyComponent } from "./apply/apply.component";
import { ProfileComponent } from '../user/profile/profile.component'
const routes: Routes = [
  {
    path: 'manage',
    component: PageHomeComponent,
    children:[
      {
        path: 'textbook',
        component: PageHomeComponent,
        children:[
          {
            path: "apply",
            component:ApplyComponent
          },
          {
            path: "list",
            component:PageTextbookComponent
          },
          {
            path: "recycle",
            component:PageTextbookComponent
          },
        ]
      },
    ]
  },
  {
    path: 'profile',
    component: ProfileComponent,
  },
];
@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class NavAuthorRoutingModule {}
