const EduTextbook = {
    "className": "EduTextbook",
    "fields": {
        "title": {
            "type": "String",
            "required": false
        },
        "desc": {
            "type": "String",
            "required": false
        },
        "user": {
            "type": "Pointer",
            "targetClass":"_User",
            "required": false
        },
        "isDeleted": {
            "type": "Boolean",
            "required": false
        }
    },
    "classLevelPermissions": {
        "find": {
            "*": true
        },
        "get": {
            "*": true
        },
        "count": {
            "*": true
        },
        "create": {
            "*": true
        },
        "update": {
            "*": true
        },
        "delete": {
            "*": true
        },
        "addField": {
            "*": true
        },
        "protectedFields": {
            "*": []
        }
    }
}
module.exports.EduTextbook = EduTextbook